## xmobar 0.19

=== web/Makefile ===
index = ../readme.md
releases = ../news.md
css = xmobar.css
images = xmobar-sawfish.png xmobar-xmonad.png
remote = community.haskell.org:/srv/projects/xmobar/
htmls = index.html releases.html

index.html: releases.html $(index) $(css)
	pandoc -f markdown -t html -c $(css) --toc -N -s \
               $(index) > index.html

releases.html: $(releases) $(css)
	pandoc -f markdown -t html -c $(css) -s \
               $(releases) > releases.html

upload-images:
	rsync -zav $(images) $(remote)

upload-pages: $(htmls)
	rsync -zav $(htmls) $(css) $(remote)

upload: upload-images upload-pages

clean:
	rm -f $(htmls)

## xmobar 0.11

=== debian/changelog ===
xmobar (0.11-2) unstable; urgency=low

  * Fixed swap plugin's usedratio (Closes: #582155) 

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Wed, 19 May 2010 07:05:13 +0300

xmobar (0.11-1) unstable; urgency=low

  * New upstream version: monitor plugin improvements and new options regarding
    plugin output padding and numeric result representation

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Mon, 17 May 2010 14:40:37 +0300

xmobar (0.10~20100212-1) unstable; urgency=low

  * Import upstream darcs tree (Closes: #571414, #571464, #544096)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped standards version to 3.8.4
  * Cleaned up debian/rules 

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Wed, 14 Apr 2010 10:57:40 +0300

xmobar (0.9.2-2) unstable; urgency=low

  * Imported patches from upstream to resolve high X CPU usage with xft + utf-8
    See http://code.google.com/p/xmobar/issues/detail?id=11
  * Added quilt build-depends for patch management 

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Thu, 26 Nov 2009 01:08:42 +0200

xmobar (0.9.2-1) unstable; urgency=low

  * Initial release (Closes: #501693)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Fri, 12 Jun 2009 10:36:22 +0300

=== debian/control ===
Source: xmobar
Section: x11
Priority: optional
Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), ghc6 (>= 6.12.1), libghc6-x11-xft-dev (>= 0.2), libghc6-stm-dev, libghc6-parsec3-dev, libghc6-mtl-dev, libghc6-x11-dev (>= 1.3.0)
Homepage: http://gorgias.mine.nu/xmobar/

Package: xmobar
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: curl
Suggests: xmonad
Description: A lightweight status bar for X11 window managers with UTF-8 and Xft support
 xmobar is a lightweight text-based status bar for X11 desktops written in
 Haskell and designed to work with (but not limited to) xmonad. It has a
 variety of plugins allowing the display of system-related data and an
 extensible architecture that makes it easy to write one's own plugins. xmobar
 supports displaying UTF-8 text and using TrueType fonts via Xft.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find ghc. The ghc in the path might point to some other version of
# GHC, so use ghc6 if it exists (which it ought to when building for
# Debian)
GHC := $(firstword $(shell bash -c "type -p ghc6 ghc"))

CONFIGURE_OPTS += --flags="with_xft"

build: build-stamp
build-stamp:
	dh_testdir

	$(GHC) --make Setup.*hs -o setup-ghc
	./setup-ghc configure --ghc --with-compiler=$(GHC) --prefix=/usr  $(CONFIGURE_OPTS)
	./setup-ghc build

	touch $@

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	./setup-ghc copy --destdir=debian/tmp/
	rm -rf debian/tmp/usr/share/xmobar-* debian/tmp/usr/share/doc/xmobar-*
	find debian/tmp/usr/bin -type f > debian/xmobar.install
	find debian/tmp -type d -empty >> debian/xmobar.install

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp binary-common-stamp

	-./setup-ghc clean
	-rm -f Setup.o Setup.hi setup-ghc
	-rm -f debian/*.install

	dh_clean

# Build architecture-dependent files here.
binary-common: binary-common-stamp
binary-common-stamp: install-stamp
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing

	dh_installman debian/xmobar.1
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_compress
	dh_md5sums
	dh_builddeb

# binary-indep and binary-arch both build everything, as otherwise
# # "dh_install --fail-missing" falls over

# Build architecture-independent files here.
binary-indep: binary-common-stamp
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: binary-common-stamp

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary-common binary install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php xmobar-(.*)\.tar\.gz
http://hackage.haskell.org/cgi-bin/hackage-scripts/package/xmobar .*/xmobar-(.*)\.tar.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/xmobar-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/xmobar-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/xmobar/xmobar-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html xmobar-(.*)\.tar\.gz

## xmobar 0.13

=== debian/changelog ===
xmobar (0.13-2) unstable; urgency=low

  * Disable Mail, MBox and Wireless plugins on non-Linux architectures.

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Tue, 19 Jul 2011 12:08:39 +0300

xmobar (0.13-1) unstable; urgency=low

  * New upstream release
    - Drop swap ratio patch, fixed upstream
  * Enable the inotify functionality (Closes: #607817)
  * Update homepage URL (Closes: #610038)
  * Enable the wireless plugin and build-depend on libiw-dev
  * Update the manpage (Closes: #610046)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Fri, 15 Jul 2011 15:46:01 +0300

=== debian/control ===
Source: xmobar
Section: x11
Priority: optional
Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), ghc6 (>= 6.12.1), libghc-x11-xft-dev (>= 0.3),
 libghc-stm-dev, libghc-parsec3-dev, libghc-mtl-dev, libghc-x11-dev (>= 1.5.0),
 libghc-hinotify-dev [linux-any], libiw-dev [linux-any]
Homepage: http://projects.haskell.org/xmobar/

Package: xmobar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: curl
Suggests: xmonad
Description: Lightweight status bar for X11 window managers with UTF-8 and Xft support
 xmobar is a lightweight text-based status bar for X11 desktops written in
 Haskell and designed to work with (but not limited to) xmonad. It has a
 variety of plugins allowing the display of system-related data and an
 extensible architecture that makes it easy to write one's own plugins. xmobar
 supports displaying UTF-8 text and using TrueType fonts via Xft.

## xmobar 0.14

=== debian/changelog ===
xmobar (0.14-4) unstable; urgency=low

  * Backport upstream commit 0b1132, fixing coretemp information parsing
    (Closes: #693025)
  * Fix manpage typos

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Wed, 21 Nov 2012 22:13:55 +0200

xmobar (0.14-3) unstable; urgency=low

  * Backport upstream commit daf28d, fixing FTBFS with STM 2.3 (Closes: #674317)
  * Fix wrong location of battery status file in manpage (Closes: #660168)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Thu, 24 May 2012 14:55:45 +0300

xmobar (0.14-2) unstable; urgency=low

  * Backport upstream commit 0964f33. Fixes FTBFS on all non-x86/amd64 arches. 
    (Closes: #654618)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Sun, 15 Jan 2012 10:50:56 +0200

xmobar (0.14-1) unstable; urgency=low

  * New upstream version (Closes: #649222, #652630)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Tue, 20 Dec 2011 09:24:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: x11
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8), ghc6 (>= 6.12.1), libghc-x11-xft-dev (>= 0.3),
- libghc-stm-dev, libghc-parsec3-dev, libghc-mtl-dev, libghc-x11-dev (>= 1.5.0),
- libghc-hinotify-dev [linux-any], libiw-dev [linux-any]
+ libghc-stm-dev (>= 2.3), libghc-parsec3-dev, libghc-mtl-dev, libghc-x11-dev (>= 1.5.0),
+ libghc-hinotify-dev [linux-any], libiw-dev [linux-any], libxrandr-dev
 Homepage: http://projects.haskell.org/xmobar/
 
 Package: xmobar

=== debian/watch ===
version=3

http://hackage.haskell.org/cgi-bin/hackage-scripts/package/xmobar .*/xmobar-(.*)\.tar.gz

## xmobar 0.18

=== debian/changelog ===
xmobar (0.18-1) unstable; urgency=low

  * New upstream version
  * Convert debian/copyright format to version 1.0 
  * Build-Depend on libghc-regex-compat
  * Update the watch file to use github

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Fri, 14 Jun 2013 10:40:25 +0300

xmobar (0.17-1) unstable; urgency=low

  * New upstream version (Closes: #703328)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Thu, 23 May 2013 18:41:34 +0300

xmobar (0.16-1) experimental; urgency=low

  * Imported Upstream version 0.16
  * Drop debian/patches
  * Update build-depends and enable MPRIS & DBus plugins
  * Bump standards version to 3.9.4 and compat to 9
  * Update manpage
  * Fix typo in src/Parsers.hs (lintian warning)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Thu, 14 Mar 2013 16:58:14 +0200

=== debian/control ===
Source: xmobar
Section: x11
Priority: optional
Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), ghc, libghc-x11-xft-dev (>= 0.2),
 libghc-stm-dev (>= 2.3), libghc-parsec3-dev, libghc-mtl-dev,
 libghc-x11-dev (>= 1.6.0), libghc-hinotify-dev [linux-any],
 libiw-dev [linux-any], libghc-dbus-dev, libghc-regex-compat-dev
Homepage: http://projects.haskell.org/xmobar/

Package: xmobar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: curl
Suggests: xmonad
Description: lightweight status bar for X11 window managers
 xmobar is a lightweight text-based status bar for X11 desktops written in
 Haskell and designed to work with (but not limited to) xmonad. It has a
 variety of plugins allowing the display of system-related data and an
 extensible architecture that makes it easy to write one's own plugins. xmobar
 supports displaying UTF-8 text and using TrueType fonts via Xft.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,17 @@
 # Debian)
 GHC := $(firstword $(shell bash -c "type -p ghc6 ghc"))
 
-CONFIGURE_OPTS += --flags="with_xft"
+DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-build: build-stamp
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus"
+else
+    CONFIGURE_OPTS += --flags="with_xft with_mpris with_dbus"
+endif
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir

## xmobar 0.19

=== debian/changelog ===
xmobar (0.19-2) unstable; urgency=low

  * Really use $XDG_CONFIG_HOME/xmobar/xmobarrc if it exists (closes: #728205)
  * Pass -z,relro to the linker (fixes the hardening-no-relro lintian warning)
  * Pass --as-needed to the linker (avoid useless dependency on libxext6)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Tue, 29 Oct 2013 16:36:57 +0200

xmobar (0.19-1) unstable; urgency=low

  * New upstream version
  * Bump standards-version to 3.9.5
    + No changes needed
  * debian/rules: use the dh sequencer

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Mon, 28 Oct 2013 10:25:43 +0200

xmobar (0.18-2) unstable; urgency=low

  * Disable MPRIS & DBus plugins on non-linux platforms. They require
    haskell-dbus which currently works only on Linux. This should fix FTBFS on
    kfreebsd and hurd. (Closes: #718440)
  * Simplify and update README.Debian

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Thu, 01 Aug 2013 02:56:39 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: x11
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), ghc, libghc-x11-xft-dev (>= 0.2),
  libghc-stm-dev (>= 2.3), libghc-parsec3-dev, libghc-mtl-dev,
  libghc-x11-dev (>= 1.6.0), libghc-hinotify-dev [linux-any],
- libiw-dev [linux-any], libghc-dbus-dev, libghc-regex-compat-dev
+ libiw-dev [linux-any], libghc-dbus-dev [linux-any],
+ libghc-regex-compat-dev
 Homepage: http://projects.haskell.org/xmobar/
 
 Package: xmobar

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CONFIGURE_OPTS = --ghc-options="-optl -Wl,-z,relro -optl -Wl,--as-needed"

ifeq ($(DEB_HOST_ARCH_OS),linux)
    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus"
else
    CONFIGURE_OPTS += --flags="with_xft"
endif

%:
	dh $@

override_dh_auto_configure:
	ghc --make Setup.*hs -o setup-ghc
	./setup-ghc configure --ghc --prefix=/usr $(CONFIGURE_OPTS)

override_dh_auto_build:
	./setup-ghc build

override_dh_auto_install:
	./setup-ghc copy --destdir=debian/tmp/

override_dh_auto_clean:
	-./setup-ghc clean
	-rm -f Setup.o Setup.hi setup-ghc

.PHONY: override_dh_auto_configure override_dh_auto_build \
        override_dh_auto_install override_dh_auto_clean

=== debian/watch ===
version=3

http://github.com/jaor/xmobar/tags .*/archive/([\d.]+)\.tar\.gz

## xmobar 0.21

=== debian/changelog ===
xmobar (0.21-1) unstable; urgency=medium

  * New upstream version, see /usr/share/doc/xmobar/news.md.gz.
    + New features:
      o Vertical bar indicators using unicode available for most monitors.
      o CoreTemp: support for Linux 3.15.
      o New CatInt monitor, displaying integer values read from a file.
      o New <raw> tag for safer input parsing.
      o New UnsafeXMonadLog monitor and their xproperty counterparts,
        UnsafeXPropertyLog and UnsafeNamedXPropertyLog.
    + Bugfixes:
      o Network now reports status for PPP connections.
      o Fix erratic values for very long running Cpu monitors.
  * d/control: add Vcs-* fields.
  * d/copyright: update copyright information
  * xmobar.1: update author's copyright

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 02 Jul 2014 10:10:51 +0300

xmobar (0.20.1-1) unstable; urgency=medium

  * New upstream bugfix release
    + Fixes placement on some multi-head setups, that was broken in 0.20.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 14 Mar 2014 09:48:41 +0200

xmobar (0.20-1) unstable; urgency=medium

  * New upstream version (see news.md for changes).
  * Drop XDG config dir patch, merged upstream.
  * The weather plugin now uses libghc-http-dev. Build-depend on
    libghc-http-dev and stop Recommending curl.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 10 Mar 2014 21:22:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: xmobar
 Section: x11
 Priority: optional
-Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
+Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), ghc, libghc-x11-xft-dev (>= 0.2),
  libghc-stm-dev (>= 2.3), libghc-parsec3-dev, libghc-mtl-dev,
  libghc-x11-dev (>= 1.6.0), libghc-hinotify-dev [linux-any],
  libiw-dev [linux-any], libghc-dbus-dev [linux-any],
- libghc-regex-compat-dev
+ libghc-regex-compat-dev, libghc-http-dev (>= 1:4000)
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/apoikos/xmobar.git
+Vcs-Git: git://anonscm.debian.org/users/apoikos/xmobar.git
 Homepage: http://projects.haskell.org/xmobar/
 
 Package: xmobar
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: curl
 Suggests: xmonad
 Description: lightweight status bar for X11 window managers
  xmobar is a lightweight text-based status bar for X11 desktops written in

## xmobar 0.22

=== debian/changelog ===
xmobar (0.22-1) unstable; urgency=medium

  * New upstream version; see /usr/share/doc/xmobar/news.md.gz.
    + New features:
      o New MarqueePipeReader plugin.
      o Network monitor has now adaptive units (`-S` is used now to switch
        them on).
      o Weather now offers dewPointC and dewPointF instead of dewPoint, and
        the new windCardinal, windAzimuth, windMph and windKnots variables.
      o Strings in the configuration file can now span multiple lines using
        Haskell-style multiline script.
      o New borderWidth option to set xmobar's border width.
      o Support for multiple Xft fonts.
      o Icon patterns for several monitors, that allow you to specify a
        collection of icons to use for successive integer variable values,
    + Bugfixes:
      o More CPU-efficient implementation of the Locks plugin.
      o Do not colorize total disk size in DiskU.
      o Avoid zombies on click actions.
  * Bump standards to 3.9.6; no changes needed.
  * d/copyright: update with new plugin information.
  * New patch, build-with-mtl-2.1, to allow building against mtl 2.1.
  * Enable XPM icon support and Build-Depend on libxpm-dev.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 11 Oct 2014 09:42:14 +0300

## xmobar 0.23.1

=== debian/changelog ===
xmobar (0.23.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 29 Apr 2015 12:23:06 +0300

xmobar (0.23.1-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 15 Apr 2015 12:35:22 +0300

xmobar (0.23-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
    + Drop d/patches/build-with-mtl-2.1 (merged upstream)
    + Refresh pathces
  * d/copyright: adjust copyright years for 2015

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 09 Apr 2015 15:38:31 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: x11
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), ghc, libghc-x11-xft-dev (>= 0.2),
  libghc-stm-dev (>= 2.3), libghc-parsec3-dev, libghc-mtl-dev,
  libghc-x11-dev (>= 1.6.0), libghc-hinotify-dev [linux-any],
  libiw-dev [linux-any], libghc-dbus-dev [linux-any],
- libghc-regex-compat-dev, libghc-http-dev (>= 1:4000)
+ libghc-regex-compat-dev, libghc-http-dev (>= 1:4000),
+ libxpm-dev
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/apoikos/xmobar.git
 Vcs-Git: git://anonscm.debian.org/users/apoikos/xmobar.git
 Homepage: http://projects.haskell.org/xmobar/

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,9 @@
 CONFIGURE_OPTS = --ghc-options="-optl -Wl,-z,relro -optl -Wl,--as-needed"
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus"
+    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus with_xpm"
 else
-    CONFIGURE_OPTS += --flags="with_xft"
+    CONFIGURE_OPTS += --flags="with_xft with_xpm"
 endif
 
 %:

## xmobar 0.24

=== debian/changelog ===
xmobar (0.24-1) unstable; urgency=medium

  * New upstream release
  * Enable uvmeter and conduit
    + B-D on libghc-http-conduit-dev
  * Bump Standards to 3.9.8; no changes needed
  * Pass -z now to ld (bindnow)
  * Override a lintian error about RPATH in /usr/bin/xmobar: this is just GHC
    supporting shared libraries.
  * d/control: use HTTPS in Vcs-*
  * d/copyright:
    + adjust years
    + add data for new files

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 27 Jul 2016 10:15:26 +0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: x11
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), ghc, libghc-x11-xft-dev (>= 0.2),
  libghc-stm-dev (>= 2.3), libghc-parsec3-dev, libghc-mtl-dev,
  libghc-x11-dev (>= 1.6.0), libghc-hinotify-dev [linux-any],
  libiw-dev [linux-any], libghc-dbus-dev [linux-any],
  libghc-regex-compat-dev, libghc-http-dev (>= 1:4000),
- libxpm-dev
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/apoikos/xmobar.git
-Vcs-Git: git://anonscm.debian.org/users/apoikos/xmobar.git
+ libxpm-dev, libghc-http-conduit-dev
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/apoikos/xmobar.git
+Vcs-Git: https://anonscm.debian.org/git/users/apoikos/xmobar.git
 Homepage: http://projects.haskell.org/xmobar/
 
 Package: xmobar

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-CONFIGURE_OPTS = --ghc-options="-optl -Wl,-z,relro -optl -Wl,--as-needed"
+CONFIGURE_OPTS = --ghc-options="-optl -Wl,-z,relro -optl -Wl,-z,now -optl -Wl,--as-needed"
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus with_xpm"
+    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus with_xpm with_uvmeter with_conduit"
 else
     CONFIGURE_OPTS += --flags="with_xft with_xpm"
 endif

## xmobar 0.24.3

=== debian/changelog ===
xmobar (0.24.3-2) unstable; urgency=medium

  * Disable conduit on arm64; it is currently uninstallable on arm64.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 13 Sep 2016 13:44:37 +0300

xmobar (0.24.3-1) unstable; urgency=medium

  * New upstream release.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 07 Sep 2016 15:20:53 +0300

xmobar (0.24.2-1) unstable; urgency=medium

  * New upstream release (closes: #835547)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 03 Sep 2016 00:15:44 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libghc-x11-dev (>= 1.6.0), libghc-hinotify-dev [linux-any],
  libiw-dev [linux-any], libghc-dbus-dev [linux-any],
  libghc-regex-compat-dev, libghc-http-dev (>= 1:4000),
- libxpm-dev, libghc-http-conduit-dev
+ libxpm-dev, libghc-http-conduit-dev [!arm64]
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/apoikos/xmobar.git
 Vcs-Git: https://anonscm.debian.org/git/users/apoikos/xmobar.git
 Homepage: http://projects.haskell.org/xmobar/

## xmobar 0.24.5

=== web/Makefile ===
--- 
+++ 
@@ -1,9 +1,16 @@
-index = ../readme.md
+index.src = ../readme.md
+index = readme.md
 releases = ../news.md
 css = xmobar.css
 images = xmobar-sawfish.png xmobar-xmonad.png
 remote = community.haskell.org:/srv/projects/xmobar/
 htmls = index.html releases.html
+title = % xmobar - a minimalistic status bar
+
+default: index.html
+
+$(index): $(index.src)
+	@sed -E "s/^\\[!\\[Build .+/$(title)/1" $(index.src) > $(index)
 
 index.html: releases.html $(index) $(css)
 	pandoc -f markdown -t html -c $(css) --toc -N -s \
@@ -22,4 +29,4 @@
 upload: upload-images upload-pages
 
 clean:
-	rm -f $(htmls)
+	rm -f $(htmls) $(index)

=== debian/changelog ===
xmobar (0.24.5-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: bump years
  * Bump Standards to 4.0.0; no changes needed
  * Bump compat to 10 and B-D on debhelper (>= 10)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 23 Jun 2017 11:29:57 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), ghc, libghc-x11-xft-dev (>= 0.2),
+Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10), ghc, libghc-x11-xft-dev (>= 0.2),
  libghc-stm-dev (>= 2.3), libghc-parsec3-dev, libghc-mtl-dev,
  libghc-x11-dev (>= 1.6.0), libghc-hinotify-dev [linux-any],
  libiw-dev [linux-any], libghc-dbus-dev [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 CONFIGURE_OPTS = --ghc-options="-optl -Wl,-z,relro -optl -Wl,-z,now -optl -Wl,--as-needed"
 
+ifneq ($(DEB_HOST_ARCH), arm64)
+    WITH_CONDUIT="with_conduit"
+else
+    WITH_CONDUIT=""
+endif
+
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus with_xpm with_uvmeter with_conduit"
+    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus with_xpm with_uvmeter $(WITH_CONDUIT)"
 else
     CONFIGURE_OPTS += --flags="with_xft with_xpm"
 endif

## xmobar 0.29.4

=== doc/web/Makefile ===
index.src = ../readme.md
index = readme.md
releases = ../news.md
css = xmobar.css
images = xmobar-sawfish.png xmobar-xmonad.png
remote = community.haskell.org:/srv/projects/xmobar/
htmls = index.html releases.html
title = % xmobar - a minimalistic status bar

default: index.html

$(index): $(index.src)
	@tail -n+3 $(index.src) | sed "1s/^/$(title)\n/" > $(index)

index.html: releases.html $(index) $(css)
	pandoc -f markdown -t html -c $(css) --toc -N -s \
               $(index) > index.html

releases.html: $(releases) $(css)
	pandoc -f markdown -t html -c $(css) -s \
               $(releases) > releases.html

upload-images:
	rsync -zav $(images) $(remote)

upload-pages: $(htmls)
	scp $(htmls) $(css) $(remote)

upload: upload-images upload-pages

clean:
	rm -f $(htmls) $(index)

=== debian/changelog ===
xmobar (0.29.4-2build3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:21:26 +0000

xmobar (0.29.4-2build2) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:52:08 +0000

xmobar (0.29.4-2build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Sep 2019 17:47:39 +0200

xmobar (0.29.4-2) unstable; urgency=medium

  * autopkgtests: fix typo in test
  * Use http-conduit on arm64; this also fixes FTBFS on arm64 due to runaway
    quotes in d/rules.
  * Fix FTBFS using 64-bit unregistered GHC

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 15 Jan 2019 01:28:54 +0200

xmobar (0.29.4-1) unstable; urgency=medium

  * New upstream version 0.29.4 (closes: #914242)
    - Refresh patches
    - B-D on libghc-extensible-exceptions-dev
  * d/copyright: adjust years and add Aggelos.
  * d/copyright: reflect upstream path changes for the new library layout.
  * Remove d/docs; superseded by d/xmobar.docs.
  * Update location of upstream examples.
  * Add autopkgtests: use Xvfb to run an xmobar instance with the default
    config, check that it renders the window and obtain a screenshot as an
    artifact.
  * Bump Standards-Version to 4.3.0; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 14 Jan 2019 21:22:54 +0200

xmobar (0.28.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Aggelos Avgerinos ]
  * New upstream version 0.28.1 (closes: #910115)
  * d/control: Wrap and sort multiline fields
  * docs: news.md has been moved to changelog.md
  * d/control: Bump standards version to 4.2.1; no changes needed
  * Bump compat to 11 and B-D on debhelper (>= 11); no changes needed
  * d/control: Add self to uploaders
  * d/control: Add libghc-iwlib-dev to B-D; this used to be part of xmobar
  * d/control: Add libghc-parsec-numbers-dev to B-D; this used to be part of
    xmobar
  * d/rules: Conditionally set architecture variables; dpkg-buildpackage
    presets them

 -- Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>  Wed, 14 Nov 2018 09:31:11 +0200

=== debian/control ===
Source: xmobar
Section: x11
Priority: optional
Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Uploaders: Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 11),
               ghc,
               libghc-dbus-dev [linux-any],
               libghc-extensible-exceptions-dev,
               libghc-hinotify-dev [linux-any],
               libghc-http-conduit-dev,
               libghc-http-dev (>= 1:4000),
               libghc-iwlib-dev (>= 0.1.0) [linux-any],
               libghc-mtl-dev,
               libghc-parsec-numbers-dev,
               libghc-parsec3-dev,
               libghc-regex-compat-dev,
               libghc-stm-dev (>= 2.3),
               libghc-x11-dev (>= 1.6.0),
               libghc-x11-xft-dev (>= 0.2),
               libiw-dev [linux-any],
               libxpm-dev,
Vcs-Browser: https://salsa.debian.org/debian/xmobar
Vcs-Git: https://salsa.debian.org/debian/xmobar.git
Homepage: http://projects.haskell.org/xmobar/

Package: xmobar
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: xmonad,
Description: lightweight status bar for X11 window managers
 xmobar is a lightweight text-based status bar for X11 desktops written in
 Haskell and designed to work with (but not limited to) xmonad. It has a
 variety of plugins allowing the display of system-related data and an
 extensible architecture that makes it easy to write one's own plugins. xmobar
 supports displaying UTF-8 text and using TrueType fonts via Xft.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

GHC_OPTIONS = -optl -Wl,-z,relro -optl -Wl,-z,now -optl -Wl,--as-needed

# Work-around a bug in GHC on 64-bit unregistered platforms.
# https://ghc.haskell.org/trac/ghc/ticket/15853
ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el s390x alpha ia64 riscv64 sparc64))
     GHC_OPTIONS += -O0
endif

CONFIGURE_OPTS = --ghc-options="$(GHC_OPTIONS)"

ifeq ($(DEB_HOST_ARCH_OS),linux)
    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus with_xpm with_uvmeter with_conduit"
else
    CONFIGURE_OPTS += --flags="with_xft with_xpm"
endif

%:
	dh $@

override_dh_auto_configure:
	ghc --make setup.*hs -o setup-ghc
	./setup-ghc configure --ghc --prefix=/usr $(CONFIGURE_OPTS)

override_dh_auto_build:
	./setup-ghc build

override_dh_auto_install:
	./setup-ghc copy --destdir=debian/tmp/

override_dh_auto_clean:
	-./setup-ghc clean
	-rm -f Setup.o Setup.hi setup-ghc

.PHONY: override_dh_auto_configure override_dh_auto_build \
        override_dh_auto_install override_dh_auto_clean

## xmobar 0.33

=== debian/changelog ===
xmobar (0.33-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 4.5.0; no changes needed
  * Bump dh compat to 12
    + Use debhelper-compat instead of d/compat

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 19 Mar 2020 22:40:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Uploaders: Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (=12),
                ghc,
                libghc-dbus-dev [linux-any],
                libghc-extensible-exceptions-dev,

=== debian/tests/control ===
Test-Command: xvfb-run debian/tests/xmobar
Depends: xmobar, xvfb, xauth, x11-utils, x11-apps
Restrictions: allow-stderr

## xmobar 0.36

=== debian/changelog ===
xmobar (0.36-2ubuntu2) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 06:53:23 +0200

xmobar (0.36-2ubuntu1) hirsute; urgency=medium

  * Merge newer version from Debian (LP: #1902343)
  * Remaining changes:
    d/tests/xmobar: wait a little longer for X server to be ready.

 -- Hans Joachim Desserud <ubuntu@desserud.org>  Tue, 10 Nov 2020 17:54:51 +0100

xmobar (0.36-2) unstable; urgency=medium

  * Move maintenance under DHG
    + Move myself to Uploaders
    + Point Vcs-* to the DHG_packages repository
  * Enable ALSA support; thanks to William Wilhelm
    + B-D on libghc-alsa-core-dev and libghc-alsa-mixer-dev

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 29 Oct 2020 11:20:33 +0200

xmobar (0.36-1) unstable; urgency=medium

  * New upstream version 0.36
  * d/copyright: bump years
  * d/rules: replace with_conduit w/ with_weather

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 28 Oct 2020 13:41:25 +0200
 
 xmobar (0.33-1ubuntu1) groovy; urgency=medium

  * d/tests/xmobar: wait a little longer for X server to be ready.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 12 Oct 2020 16:38:08 +1300

xmobar (0.33-1build1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:15:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: xmobar
 Section: x11
 Priority: optional
-Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Uploaders: Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
+           Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
 Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (=12),
                ghc,
+               libghc-alsa-core-dev (>= 0.5),
+               libghc-alsa-mixer-dev (>= 0.3),
                libghc-dbus-dev [linux-any],
                libghc-extensible-exceptions-dev,
                libghc-hinotify-dev [linux-any],
@@ -21,8 +25,8 @@
                libghc-x11-xft-dev (>= 0.2),
                libiw-dev [linux-any],
                libxpm-dev,
-Vcs-Browser: https://salsa.debian.org/debian/xmobar
-Vcs-Git: https://salsa.debian.org/debian/xmobar.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/xmobar
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/xmobar]
 Homepage: http://projects.haskell.org/xmobar/
 
 Package: xmobar

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 CONFIGURE_OPTS = --ghc-options="$(GHC_OPTIONS)"
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus with_xpm with_uvmeter with_conduit"
+    CONFIGURE_OPTS += --flags="with_xft with_inotify with_iwlib with_mpris with_dbus with_xpm with_uvmeter with_weather with_alsa"
 else
     CONFIGURE_OPTS += --flags="with_xft with_xpm"
 endif

## xmobar 0.43

=== debian/changelog ===
xmobar (0.43-1) unstable; urgency=medium

  * New upstream release (Closes: #985305)
  * Declare compliance with Debian policy 4.6.1
  * Update homepage (Closes: #986391)
  * Build package using haskell-devscripts

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Aug 2022 09:27:10 +0300

=== debian/control ===
Source: xmobar
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
 Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
Priority: optional
Section: x11
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 libghc-x11-dev (>= 1.6.1),
 libghc-aeson-dev (>= 1.4.7.1),
 libghc-async-dev,
 libghc-extensible-exceptions-dev (>= 0.1),
 libghc-extensible-exceptions-dev (<< 0.2),
 libghc-http-client-tls-dev,
 libghc-http-conduit-dev,
 libghc-http-types-dev,
 libghc-old-locale-dev,
 libghc-parsec-numbers-dev (>= 0.1.0),
 libghc-regex-compat-dev,
 libghc-utf8-string-dev (>= 0.3),
 libghc-utf8-string-dev (<< 1.1),
 libxrandr-dev,
 libxrender-dev,
 libghc-hspec-dev (>= 2),
 libghc-hspec-dev (<< 3),
 libghc-temporary-dev,
 libghc-alsa-core-dev (>= 0.5),
 libghc-alsa-mixer-dev (>= 0.3),
 libghc-x11-xft-dev (>= 0.2),
 libghc-dbus-dev [linux-any],
 libghc-hinotify-dev [linux-any],
 libghc-iwlib-dev (>= 0.1.0) [linux-any],
 libiw-dev [linux-any],
 libxpm-dev,
Standards-Version: 4.6.1
Homepage: https://codeberg.org/xmobar/xmobar
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-xmobar
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git

Package: xmobar
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests}, xmonad,
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: lightweight status bar for X11 window managers
 xmobar is a lightweight text-based status bar for X11 desktops written in
 Haskell and designed to work with (but not limited to) xmonad. It has a
 variety of plugins allowing the display of system-related data and an
 extensible architecture that makes it easy to write one's own plugins. xmobar
 supports displaying UTF-8 text and using TrueType fonts via Xft.

## xmobar 0.44.2

=== debian/changelog ===
xmobar (0.44.2-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 23 Oct 2022 18:28:01 +0300

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  libxpm-dev,
 Standards-Version: 4.6.1
 Homepage: https://codeberg.org/xmobar/xmobar
-Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-xmobar
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/xmobar
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: xmobar

## xmobar 0.46

=== debian/changelog ===
xmobar (0.46-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:38:54 +1100

xmobar (0.46-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:45:31 +0000

xmobar (0.46-3ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/tests/xmobar: wait a little longer for X server to be ready.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jan 2024 11:20:11 +0100

xmobar (0.46-3) unstable; urgency=medium

  * Add support for loong64 (Closes: #1059853)

 -- Scott Talbert <swt@techie.net>  Mon, 08 Jan 2024 19:46:18 -0500

xmobar (0.46-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/xmobar: wait a little longer for X server to be ready.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Dec 2023 08:56:56 +0100

xmobar (0.46-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add package path in Vcs-Git header.

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2
  * Disable wireless plugin which depends on obsolete libiw-dev (Closes: #1058738)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 22 Dec 2023 11:01:42 +0200

xmobar (0.46-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/xmobar: wait a little longer for X server to be ready.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Aug 2023 11:56:40 +0200

xmobar (0.46-1) unstable; urgency=medium

  * New upstream release
  * B-D on libghc-pango-dev and libghc-cairo-dev; as of 0.45, xmobar uses
    pango/cairo for font rendering instead of plain X11/Xft.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 09 Jan 2023 17:14:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: xmobar
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Apollon Oikonomopoulos <apoikos@debian.org>,
  Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
@@ -12,6 +13,8 @@
  libghc-x11-dev (>= 1.6.1),
  libghc-aeson-dev (>= 1.4.7.1),
  libghc-async-dev,
+ libghc-cairo-dev,
+ libghc-pango-dev,
  libghc-extensible-exceptions-dev (>= 0.1),
  libghc-extensible-exceptions-dev (<< 0.2),
  libghc-http-client-tls-dev,
@@ -32,13 +35,11 @@
  libghc-x11-xft-dev (>= 0.2),
  libghc-dbus-dev [linux-any],
  libghc-hinotify-dev [linux-any],
- libghc-iwlib-dev (>= 0.1.0) [linux-any],
- libiw-dev [linux-any],
  libxpm-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://codeberg.org/xmobar/xmobar
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/xmobar
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/xmobar]
 
 Package: xmobar
 Architecture: any

=== debian/watch ===
version=4
https://hackage.haskell.org/package/xmobar/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## xmobar 0.48.1

=== debian/changelog ===
xmobar (0.48.1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/xmobar: wait a little longer for X server to be ready.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 21:28:26 +0100

xmobar (0.48.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 11 Oct 2024 20:16:53 +0300

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  libghc-pango-dev,
  libghc-extensible-exceptions-dev (>= 0.1),
  libghc-extensible-exceptions-dev (<< 0.2),
+ libghc-extra-dev,
  libghc-http-client-tls-dev,
  libghc-http-conduit-dev,
  libghc-http-types-dev,
@@ -36,7 +37,7 @@
  libghc-dbus-dev [linux-any],
  libghc-hinotify-dev [linux-any],
  libxpm-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://codeberg.org/xmobar/xmobar
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/xmobar
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/xmobar]

=== debian/rules ===
#!/usr/bin/make -f

DEB_ENABLE_TESTS = yes

# Work-around a bug in GHC on 64-bit unregistered platforms.
# https://ghc.haskell.org/trac/ghc/ticket/15853
ifneq (,$(filter $(DEB_BUILD_ARCH),mips64el s390x alpha ia64 riscv64 loong64 sparc64))
	DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="-O0"
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
    DEB_SETUP_GHC_CONFIGURE_ARGS += --flags="with_xft with_inotify with_mpris with_dbus with_xpm with_uvmeter with_weather with_alsa"
else
    DEB_SETUP_GHC_CONFIGURE_ARGS += --flags="with_xft with_xpm"
endif

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/xmobar:: build-ghc-stamp check-ghc-stamp

## xmobar 0.50

=== debian/changelog ===
xmobar (0.50-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 14 Feb 2026 23:19:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: xmobar
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Apollon Oikonomopoulos <apoikos@debian.org>,
  Aggelos Avgerinos <evaggelos.avgerinos@gmail.com>,
 Priority: optional
 Section: x11
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
+ dh-sequence-haskell,
  ghc,
  libghc-x11-dev (>= 1.6.1),
  libghc-aeson-dev (>= 1.4.7.1),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_ENABLE_TESTS = yes

ifeq ($(DEB_HOST_ARCH_OS),linux)
    export DEB_SETUP_GHC_CONFIGURE_ARGS += --flags="with_xft with_inotify with_mpris with_dbus with_xpm with_uvmeter with_weather with_alsa"
else
    export DEB_SETUP_GHC_CONFIGURE_ARGS += --flags="with_xft with_xpm"
endif

%:
	dh $@
